<template>
  <div id="diveFooter" class="footerSubgrid">
    <div>
      <div class="themeSwitch">
        <label class="switch" id="themeChange">
          <input type="checkbox" v-model="darkMode" for="themeChange" />
          <span v-if="darkMode === true" class="sliderAllPositionOne"></span>
          <span v-else class="sliderAllePositionTwo"></span>
          <p class="title dynamic-title">
            <span v-if="darkMode === true">Dark Theme</span>
            <span v-else>Light Theme</span>
          </p>
        </label>
      </div>
    </div>
    <div class="colorSwitch">
      <label class="switch" id="bubbleChanger">
        <input type="checkbox" v-model="bubbleMode" for="bubbleChanger" />
        <span v-if="bubbleMode === true" class="sliderBubblePosOne"></span>
        <span v-else class="sliderBubblePositionTwo"></span>
        <p class="title dynamic-title">
          <span v-if="bubbleMode === true">White Bubble</span>
          <span v-else>Colorful Bubble</span>
        </p>
      </label>
    </div>
    <diveBubblesControler class="bubblesSwitch"></diveBubblesControler>
    <div class="showBubblesSwitch">
      <label class="switch" id="bubbleOutModel">
        <input type="checkbox" v-model="bubbleOutMode" for="bubbleOutModel" />
        <div v-if="bubbleOutMode === true" class="sliderOutOne"></div>
        <div v-else class="sliderOutTwo"></div>
        <p class="title dynamic-title">
          <span v-if="bubbleOutMode === true">TurnOff Bubbles</span>
          <span v-else>Show Bubbles</span>
        </p>
      </label>
    </div>
    <diveScreenSwitcher class="alwaysshown screenSaveSwitch" />
  </div>
</template>

<script>
import diveBubblesControler from "@/components/diveBubblesControler";
import diveScreenSwitcher from "@/components/diveScreenSwitcher";

export default {
  components: {
    diveBubblesControler,
    diveScreenSwitcher,
  },
  name: "diveFooter",

  data() {
    return {
      darkMode: false,
      bubbleMode: false,
      bubbleOutMode: false,
    };
  },
  mounted() {
    // set page title
    document.title = "MultiThemeing";

    // check for active theme
    let htmlElement = document.documentElement;
    let theme = localStorage.getItem("theme");
    let bubbleThemeElement = document.documentElement;
    let bubble = localStorage.getItem("bubble");
    let bubbleOuter = document.documentElement;
    let bubbleOut = localStorage.getItem("bubbleOut");

    if (theme === "dark") {
      htmlElement.setAttribute("theme", "dark");
      this.darkMode = true;
    } else {
      htmlElement.setAttribute("theme", "light");
      this.darkMode = false;
    }
    if (bubble === "dark") {
      bubbleThemeElement.setAttribute("bubble", "dark");
      this.bubbleMode = true;
    } else {
      bubbleThemeElement.setAttribute("bubble", "light");
      this.bubbleMode = false;
    }
    if (bubbleOut === "dark") {
      bubbleOuter.setAttribute("bubbleOut", "dark");
      this.bubbleOutMode = true;
    } else {
      bubbleOuter.setAttribute("bubbleOut", "light");
      this.bubbleOutMode = false;
    }
  },
  watch: {
    darkMode: function () {
      // add/remove class to/from html tag
      let htmlElement = document.documentElement;
      if (this.darkMode) {
        localStorage.setItem("theme", "dark");
        htmlElement.setAttribute("theme", "dark");
      } else {
        localStorage.setItem("theme", "light");
        htmlElement.setAttribute("theme", "light");
      }
    },
    bubbleMode: function () {
      let bubbleThemeElement = document.documentElement;
      if (this.bubbleMode) {
        localStorage.setItem("bubble", "dark");
        bubbleThemeElement.setAttribute("bubble", "dark");
      } else {
        localStorage.setItem("bubble", "light");
        bubbleThemeElement.setAttribute("bubble", "light");
      }
    },
    bubbleOutMode: function () {
      let bubbleOuter = document.documentElement;
      if (this.bubbleOutMode) {
        localStorage.setItem("bubbleOut", "dark");
        bubbleOuter.setAttribute("bubbleOut", "dark");
      } else {
        localStorage.setItem("bubbleOut", "light");
        bubbleOuter.setAttribute("bubbleOut", "light");
      }
    },
  },
};
</script>
